Skip to content
Ona Docs

ListGateways

client.gateways.list(GatewayListParams { token, pageSize, pagination } params, RequestOptionsoptions?): GatewaysPage<Gateway { name, url, region } >
POST/gitpod.v1.GatewayService/ListGateways

ListGateways

ParametersExpand Collapse
params: GatewayListParams { token, pageSize, pagination }
token?: string

Query param

pageSize?: number

Query param

maximum100
minimum0
ReturnsExpand Collapse
Gateway { name, url, region }

Gateway represents a system gateway that provides access to services

name: string

name is the human-readable name of the gateway. name is unique across all gateways.

url: string

url of the gateway

region?: string

region is the geographical region where the gateway is located

ListGateways

import Gitpod from '@gitpod/sdk';

const client = new Gitpod({
  bearerToken: process.env['GITPOD_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const gateway of client.gateways.list()) {
  console.log(gateway.name);
}
{
  "gateways": [
    {
      "name": "name",
      "url": "url",
      "region": "region"
    }
  ],
  "pagination": {
    "nextToken": "nextToken"
  }
}
Returns Examples
{
  "gateways": [
    {
      "name": "name",
      "url": "url",
      "region": "region"
    }
  ],
  "pagination": {
    "nextToken": "nextToken"
  }
}